<?php

if (!isset($_GET["tab"]) || $_GET["tab"] != "shortcodes") return;

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       http://estatebud.com
 * @since      1.0.0
 *
 * @package    Estatebud
 * @subpackage Estatebud/admin/partials
 */

if ($api_key == false) {
    echo __("You need to get an API Key from Estatebud before you use this feature.", "estatebud");
} else {
    if ($estatebud_api->check_authentication() == false) {
        echo __("Your API key seems to be invalid. Please check and request a new key if required.", "estatebud");
    } else {
        ?>

<h2><?php _e("Shortcodes", "estatebud");?></h2>
<p><?php _e('Create a shortcode and place it on a page to show properties. You can select what type of properties you want to appear based on the configured settings. Additionally you can also connect custom <a href="'.admin_url("admin.php?page=estatebud_settings&tab=widgets").'">search boxes</a> to allow user-based searches.', "estatebud");?></p>

<form method="post">
    <div class="estatebud-shortcodes">
        <?php require_once dirname(__FILE__) . "/estatebud-shortcodes-list.php";
        $shortcodes = new Estatebud_Shortcodes_List();
        $shortcodes->prepare_items();
        $shortcodes->display(); ?>
    </div>
</form>
<div style="margin-top: 15px; display: block">
	<a onclick="estatebud.show_shortcode_form(this);" href="#TB_inline&width=800&height=650&inlineId=estatebud-shortcode-form" name="Add New Shortcode" id="add_new_shortcode"><button class="button button-primary">Add new Shortcode</button></a>
</div>
<?php
require_once dirname(__FILE__) . "/estatebud-shortcodes-form.php";
}
} ?>