<?php
/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       http://estatebud.com
 * @since      1.0.0
 *
 * @package    Estatebud
 * @subpackage Estatebud/admin/partials
 */
?>

<h1>Estatebud - Properties & Listings</h1>
<p>This plugin enables you to quickly connect your WordPress website with Estatebud to display property listings.</p>

<h2>Basic configuration example</h2>
<ol>
	<li>Create a <a href="<?php echo admin_url("admin.php?page=estatebud_settings&tab=shortcodes"); ?>">shortcode</a> with properties you want show on your website.</li>
	<li>Create a new page in WordPress and paste the name of the shortcode you just created. This page will serve as the property search page.</li>
	<li>Create a new page again, and this time paste the following shortcode: <code>[estatebud_detail]</code>. This page will display individual property listings with full details.</li>
	<li>Your property search page and individual property pages are ready. Go check them out!</li>
</ol>

<h3>Help &amp; Support</h3>
<p>If you need any help installing or configuring the plugin, please login to the <a href="https://c.estatebud.com/" target="_blank">Estatebud App</a>, or send an email to us at <a href='mailto:support@estatebud.com'>support@estatebud.com</a>.</p>