<?php /**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       http://estatebud.com
 * @since      1.0.0
 *
 * @package    Estatebud
 * @subpackage Estatebud/admin/partials
 */
 ?>

<h1><?php _e("Properties &amp; Listings from Estatebud", "estatebud");?></h2>
<p><?php _e("This plugin handles the connection between your WordPress website and Estatebud. You only need to configure the plugin once, and after that you only need to work from the Estatebud app and your website will automatically stay updated.", "estatebud");?></p>
<p><?php _e("Thank you for choosing Estatebud for WordPress!", "estatebud");?></p>

<h2><?php _e("Configuration", "estatebud");?></h2>

<p><?php _e('Prior to start using the plugin a basic configuration is required. <a href="'.admin_url("admin.php?page=estatebud_settings&tab=support").'">Click here to get started</a>.'); ?></p>

<h2><?php _e("Support &amp; Help", "estatebud");?></h2>
<p><?php _e("If you need any help installing or configuring the plugin, please login to the <a href='https://c.estatebud.com/' target='_blank'>Estatebud App</a>, or send an email to us at <a href='mailto:support@estatebud.com'>support@estatebud.com</a>.", "estatebud");?></p>