<?php

if (!isset($_GET["tab"]) || $_GET["tab"] != "widgets" || !isset($estatebud_api)) return;

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       http://estatebud.com
 * @since      1.0.0
 *
 * @package    Estatebud
 * @subpackage Estatebud/admin/partials
 */

if ($api_key == false) {
    echo __("You need to get an API Key from Estatebud before you use this feature.", "estatebud");
} else {
    if ($estatebud_api->check_authentication() == false) {
        echo __("Your API key seems to be invalid. Please check and request a new key if required.", "estatebud");
    } else {
        ?>
<h3><?php _e("Custom search boxes", "estatebud");?></h3>
<p><?php _e("Shortcodes are equipped with default search filters, but you can create your own search filters here.", "estatebud");?></p>

<form method="post">
    <div class="estatebud-widgets">
        <?php require_once dirname(__FILE__) . "/estatebud-widgets-list.php";
        $widgets = new Estatebud_Widgets_List();
        $widgets->prepare_items();
        $widgets->display(); ?>
    </div>
</form>
<div style="margin-top: 15px; display: block">
	<a onclick="estatebud.show_widget_form(this);" href="#TB_inline&width=800&height=650&inlineId=estatebud-widget-form" name="Add New Widget" id="add_new_widget"><button class="button button-primary">Add new Widget</button></a>
</div>
<?php require_once dirname(__FILE__) . "/estatebud-widgets-form.php";
}
} ?>