<style>
.estatebud-listing-type-slider { max-width: 100%; }
.estatebud-listing-type-slider .estatebud-row { padding: 0; }
.estatebud-listing-type-slider .estatebud-slider-column { position: relative; float: left; height: 700px; padding: 0; background-repeat: no-repeat; background-size: cover; background-position: center center; }
.estatebud-listing-type-slider .estatebud-slider-column a.estatebud-whole { position: absolute; z-index: 200; top: 0; left: 0; width: 100%; height: 100%; }
.estatebud-listing-type-slider .estatebud-slider-column .estatebud-slider-inner { position: relative; max-width: 1200px; height: 100%; margin: 0 auto; }
.estatebud-listing-type-slider .estatebud-slider-column .estatebud-slider-content { box-sizing: border-box; position: absolute; z-index: 100; top: 50%; left: 0; width: 50%; transform: translateY(-50%); padding: 30px 40px 40px 40px; background: rgba(255,255,255,0.6); }
.estatebud-listing-type-slider .estatebud-slider-column .estatebud-slider-content .estatebud-slider-property-title { float: left; width: 100%; }
.estatebud-listing-type-slider .estatebud-slider-column .estatebud-slider-content .estatebud-slider-property-title h2 { margin: 0; color: #000000; font-size: 30px; font-weight: 600; }
.estatebud-listing-type-slider .estatebud-slider-column .estatebud-slider-content .estatebud-slider-property-area { float: left; width: 100%; margin-bottom: 10px; color: #222222; font-size: 18px; font-weight: 300; }
.estatebud-listing-type-slider .estatebud-slider-column .estatebud-slider-content .estatebud-slider-property-price { float: left; width: 100%; color: #000000; font-size: 24px; font-weight: 600; }
.estatebud-listing-type-slider .estatebud-slider-column .estatebud-slider-content .estatebud-slider-property-price div { display: inline; }
.estatebud-listing-type-slider .estatebud-slider-column .estatebud-slider-content .estatebud-slider-property-price strike,
.estatebud-listing-type-slider .estatebud-slider-column .estatebud-slider-content .estatebud-slider-property-price small { display: inline; margin-left: 10px; font-size: 16px; font-weight: 300; }
.estatebud-listing-type-slider .estatebud-slider-column .estatebud-slider-content .estatebud-slider-property-specifications { float: left; width: 100%; margin-top: 20px; }
.estatebud-listing-type-slider .estatebud-slider-column .estatebud-slider-content .estatebud-slider-property-specifications ul { list-style: none; margin: 0 !important; padding: 0 !important; }
.estatebud-listing-type-slider .estatebud-slider-column .estatebud-slider-content .estatebud-slider-property-specifications ul li { display: inline-block; margin-right: 40px; color: #000000; font-size: 20px; font-weight: 600; }
.estatebud-listing-type-slider .estatebud-slider-column .estatebud-slider-content .estatebud-slider-property-specifications ul li i { display: inline-block; margin-right: 10px; color: #222222; vertical-align: baseline; }

.estatebud-listing-type-slider .estatebud-listing-slider-arrow { position: absolute; z-index: 300; top: 50%; transform: translateY(-50%); color: #FFFFFF; font-size: 40px; cursor: pointer; }
.estatebud-listing-type-slider .estatebud-listing-slider-arrow.estatebud-listing-slider-arrow-previous { left: 20px; }
.estatebud-listing-type-slider .estatebud-listing-slider-arrow.estatebud-listing-slider-arrow-next { right: 20px; }
</style>
<script>
    (($, window) => {
        $(document).ready(function () {
            $(".estatebud-slider-<?=$is_slider?>").slick({
                infinite: <?=$infinite ? "true" : "false"?>,
                slidesToShow: <?=$visible_count?>,
                slidesToScroll: <?=$scroll_count?>,
                autoplay: <?=$autoplay ? "true" : "false"?>,
                autoplaySpeed: <?=$autoplay_duration?>,
                vertical: <?php echo ($layout == "vertical") ? "true" : "false"?>,
                arrows: true,
				prevArrow: '<div class="estatebud-listing-slider-arrow estatebud-listing-slider-arrow-previous"><i class="fas fa-chevron-left"></i></div>',
				nextArrow: '<div class="estatebud-listing-slider-arrow estatebud-listing-slider-arrow-next"><i class="fas fa-chevron-right"></i></div>'
            });
        });
    })(jQuery, window);
</script>