<?php $data = array_merge($data, $_GET); ?>
<div class="estatebud-map-filter estatebud-filter-form">
    <div class="estatebud-filter-container">
        <div class="estatebud-filter-inner-container">
            <form method="GET" onsubmit="return estatebud_submitMapFilterForm();">
                <div class="estatebud-row estatebud-buttons">
                    <div class="estatebud-column-50 estatebud-align-left">
                        <i class="fas fa-sliders-h"></i><?php estatebud_e("app.filters"); ?>
                        <span class="estatebud-filter-reset" onclick='estatebud_reset_form(false);'><?php estatebud_e("app.filters.reset");?></span>
                    </div>
                </div>
                <input type='hidden' name='action' value='estatebud_get_listing_map'>
                <input type="hidden" name='lang' value='<?php echo get_locale();?>'>
                <input type='hidden' name='security' value='<?php echo wp_create_nonce( 'estatebud_get_listing_map' );?>'>
                <input type='hidden' name='infowindow_security' value='<?php echo wp_create_nonce( 'estatebud_get_infowindow' );?>'>
                <input type="hidden" name="sort" value='<?php echo (isset($data["sort"]) ? esc_attr($data["sort"]) : "property_id"); ?>'>
                <input type="hidden" name="sort_type" value='<?php echo (isset($data["sort_type"]) ? esc_attr($data["sort_type"]) : "desc"); ?>'>
                <input type="hidden" name="offset" value='0'>
                <input type="hidden" name="limit" value='18'>
                <input type="hidden" name="lat" value='<?php echo isset($data["lat"]) ? $data["lat"] : ''; ?>'>
                <input type="hidden" name="lng" value='<?php echo isset($data["lng"]) ? $data["lng"] : ''; ?>'>
                <input type="hidden" name="radius" value=''>
                <input type="hidden" name="radius_unit" value='km'>
                <input type="hidden" name="map_mode" value='1'>
                <input type="hidden" name="zoom_level" value='<?php echo isset($data["zoom_level"]) ? $data["zoom_level"] : "9" ?>'>
<?php
	ob_start();
?>
                <div style="float: left; max-width: 100%;">
					<div class="estatebud-item">
						<div class="estatebud-item-header"><?php estatebud_e("app.category");?></div>
						<div class="estatebud-item-field">
							<select name="category[]" multiple></select>
						</div>
					</div>
					<div class="estatebud-item">
						<div class="estatebud-item-header"><?php estatebud_e("app.area");?></div>
						<div class="estatebud-item-field">
							<select name="area[]" multiple></select>
						</div>
					</div>
					<div class="estatebud-item">
						<div class="estatebud-item-header"><?php estatebud_e("app.type");?></div>
						<div class="estatebud-item-field">
							<select name="type[]" multiple></select>
						</div>
					</div>
					<div class="estatebud-item">
						<div class="estatebud-item-header"><?php estatebud_e("app.status");?></div>
						<div class="estatebud-item-field">
							<select name="status[]" multiple></select>
						</div>
					</div>
					<div class="estatebud-item">
						<div class="estatebud-item-header"><?php estatebud_e("app.bedroom", 2);?></div>
						<div class="estatebud-item-field">
							<select name="bedrooms_min"></select>
						</div>
					</div>
					<div class="estatebud-item">
						<div class="estatebud-item-header"><?php estatebud_e("app.bathroom", 2);?></div>
						<div class="estatebud-item-field">
							<select name="bathrooms_min"></select>
						</div>
					</div>
					<div class="estatebud-item">
						<div class="estatebud-item-header"><?php estatebud_e("app.reference");?></div>
						<div class="estatebud-item-field">
							<input type="number" name="property_id" />
						</div>
					</div>
					<div class="estatebud-item">
						<div class="estatebud-item-header"><?php estatebud_e("app.budget");?></div>
						<div class="estatebud-item-field estatebud-item-field-half">
							<input type="number" name="price_min" />
						</div>
						<div class="estatebud-item-field estatebud-item-field-half">
							<input type="number" name="price_max" />
						</div>
					</div>
					<div class="estatebud-item estatebud-item-checkboxes">
						<div class="estatebud-item">
							<input type="checkbox" name="title_deed" />
						</div>
						<div class="estatebud-item">
							<input type="checkbox" name="sea_view" />
						</div>
						<div class="estatebud-item">
							<input type="checkbox" name="sea_front" />
						</div>
						<div class="estatebud-item">
							<input type="checkbox" name="swimming_pool" />
						</div>
						<div class="estatebud-item">
							<input type="checkbox" name="walking_distance_to_beach" />
						</div>
					</div>
                </div>
<?php
	$output = ob_get_clean();
	ob_end_flush();
	do_action_ref_array( "estatebud_render_searchbox_contents", [$output, $data, true]);
?>
            </form>
        </div>
    </div>
</div>
