<?php
$domQuery = new DOMXPath($document);
$select = $domQuery->query("//select[@name='category[]'][@data-type='simple']");
if ($select->length > 0) {
    $select = $select->item(0);
    if ($select->hasChildNodes() == false) {
        $option = $document->createElement("option", estatebud__("app.for.sale"));
        $value = "res_sale,com_sale,land";
        $option->setAttribute("value", $value);
        if(isset($data["category"]) && (in_array($value, $data["category"]) )){
            $option->setAttribute("selected", true);
        }
        $select->appendChild($option);
        $option = $document->createElement("option", estatebud__("app.for.rent"));
        $value = "res_rent_long,res_rent_short,com_rent_long";
        $option->setAttribute("value", $value);
        if(isset($data["category"]) && (in_array($value, $data["category"]) )){
            $option->setAttribute("selected", true);
        }
        $select->appendChild($option);
    }else {
        if (isset($data["category"])) {
            for ($i = 0, $len = $select->childNodes->length; $i < $len; $i++) {
                $child = $select->childNodes->item($i);
                if (in_array($child->getAttribute("value"), $data["category"])) {
                    $child->setAttribute("selected", true);
                }
            }
        }
    }
}
