<?php
$domQuery = new DOMXPath($document);
$select = $domQuery->query("//select[@name='category[]'][not(@data-type='simple')]");
if ($select->length > 0) {
    $values = isset($request["category"]) ? $request["category"] : [];
    $values = explode(",", implode(",", $values));
    $select = $select->item(0);
    if ($select->hasChildNodes() == false) {
        $categories = $estatebud_api->get_property_categories();
        $groups = get_object_vars($categories);
        foreach ($groups as $key => $group) {
            $optgroup = $document->createElement("optgroup", "");
            $optgroup->setAttribute("label", $key);
            $category_list = get_object_vars($group);
            foreach ($category_list as $key2 => $category) {
                $option = $document->createElement("option", $category);
                $option->setAttribute("value", esc_attr($key2));
                if(strpos($key2, "com_") === 0){
                    $option->setAttribute("data-title", $key . " - " . $category);
                }
                if (in_array($key2, $values)) {
                    $option->setAttribute("selected", true);
                }
                $optgroup->appendChild($option);
            }
            $select->appendChild($optgroup);
        }
    }else {
        if (isset($data["category"])) {
            for ($i = 0, $len = $select->childNodes->length; $i < $len; $i++) {
                $child = $select->childNodes->item($i);
                if (in_array($child->getAttribute("value"), $values)) {
                    $child->setAttribute("selected", true);
                }
            }
        }
    }
}
