<?php
$domQuery = new DOMXPath($document);
$select = $domQuery->query("//select[@name='label[]']");
if ($select->length > 0) {
    $select = $select->item(0);
    $select->setAttribute("multiple", true);
    if ($select->hasChildNodes() == false) {
        // create default value
        $labels = $estatebud_api->get_property_labels();
        foreach($labels as $label){
            if(!$label->public) continue;
            $option = $document->createElement("option", $label->name);
            $option->setAttribute("value", $label->id);
            if (isset($request["label"]) && in_array($label->id, $request["label"] ?? [])) {
                $option->setAttribute("selected", true);
            }
            $select->appendChild($option);
        }
    }else {
        if(isset($request["label"]) && is_array($request["label"])){
            for ($i = 0, $len = $select->childNodes->length; $i < $len; $i++) {
                $child = $select->childNodes->item($i);
                if (in_array($child->getAttribute("value"), $request["label"])) {
                    $child->setAttribute("selected", true);
                }
            }
        }
    }
}
