<?php
$domQuery = new DOMXPath($document);
$input = $domQuery->query("//input[@type='number'][@name='price_min']");
if ($input->length > 0) {
    $input = $input->item(0);
    if (isset($request["price_min"]) && intval($request["price_min"])) {
        $input->setAttribute("value", intval($request["price_min"]));
    } else if (isset($request["budget_min"]) && intval($request["budget_min"])) {
        $input->setAttribute("value", intval($request["budget_min"]));
    }
    if($input->hasAttribute("min") == false) $input->setAttribute("min", 0);
    if($input->hasAttribute("max") == false) $input->setAttribute("max", 90000000);
    if($input->hasAttribute("step") == false) $input->setAttribute("step", 100);
}
