<?php
$domQuery = new DOMXPath($document);
$select = $domQuery->query("//select[@name='status[]']");
if ($select->length > 0) {
    $select = $select->item(0);
    if ($select->hasChildNodes() == false) {
        // create default value
        $conditions = $estatebud_api->get_property_statuses();
        $values = isset($request["status"]) ? $request["status"] : [];
        $condition_list = get_object_vars($conditions);
		
        foreach($condition_list as $key => $condition){
            $option = $document->createElement("option", $condition);
            $option->setAttribute("value", esc_attr($key));
            if (in_array($key, $values)) {
                $option->setAttribute("selected", true);
            }
            $select->appendChild($option);
        }
    }
}