<div class="estatebud-slider-column">
    <a href="<?=$property_link?>">
        <div class="estatebud-property">
            <div class="estatebud-property-block-image">
                <div class="estatebud-property-image">
                    <?php foreach($property_labels as $label) : ?>
                    <div class="estatebud-property-sold">Sold</div>
                    <?php endforeach; ?>
                    <img src="<?=$property_image_thumb?>">
                </div>
            </div>
            <div class="estatebud-property-block-info">
                <?=$property_title?>
                <div class="estatebud-property-location"><?=$property_location?></div>
                <div class="estatebud-property-tags">
                    <?php foreach($property_tags as $tag) : ?>
                    <div class="estatebud-property-tag <?=$tag["extra_classes"]?>"
                        <?php echo trim($tag["color"]) != "" ? " style='background: #".$tag['color'].";'" : "" ?>>
                        <?=$tag["label"]?>
                    </div>&nbsp;
                    <?php endforeach; ?>
                </div>
                <div class="estatebud-property-price-info">
                    <?=$property_price?>
                </div>
                <div class="estatebud-property-footer">
                    <div class="estatebud-property-attrs">
                        <?php foreach($property_attributes as $attribute):?>
                        <div class="estatebud-property-attr">
                            <i class="<?=$attribute["icon"]?>"></i><?=$attribute["label"]?>
                        </div>
                        <?php endforeach; ?>
                    </div>
                    <div class="estatebud-property-price estatebud-price-plus">
                        <i class="fas fa-plus"></i>
                    </div>
                </div>
            </div>
        </div>
    </a>
</div>