<?php $data = array_merge($data, $_GET); ?>
<div class="estatebud-filter-container"  <?php if(isset($is_favorites)): ?>style="display: none"<?php endif;?>>
	<div class="estatebud-filter-inner-container">
		<div class="estatebud-row estatebud-buttons">
			<div class="estatebud-column-50 estatebud-align-left">
				<i class="fas fa-sliders-h"></i><?php estatebud_e("app.filters"); ?>
				<span class="estatebud-filter-reset" onclick='estatebud_reset_form(false);'><?php estatebud_e("app.filters.reset");?></span>
			</div>
			<div class="estatebud-column-50 estatebud-align-right">
				<div id="estatebud_form_toggle"><span><?php estatebud_e("app.advanced.search"); ?></span><i class="fas fa-chevron-circle-down"></i></div>
			</div>
		</div>
		<form method="GET" onsubmit="return false">
			<input type='hidden' name='action' value='estatebud_get_listing'>
			<input type='hidden' name='is_favorites' value='<?php echo (isset($is_favorites) ? $is_favorites : false); ?>'>
			<input type="hidden" name='lang' value='<?php echo get_locale();?>'>
			<input type='hidden' name='security' value='<?php echo wp_create_nonce( 'estatebud_get_listing' );?>'>
			<input type="hidden" name="sort" value='<?php echo isset($data["sort"]) ? esc_attr($data["sort"]) : "property_id" ?>'>
			<input type="hidden" name="sort_type" value='<?php echo isset($data["sort_type"]) ? esc_attr($data["sort_type"]) : "desc" ?>'>
			<input type="hidden" name="offset" value='<?php echo isset($data["offset"]) ? intval($data["offset"]) : 0 ?>'>
			<input type="hidden" name="limit" value='<?php echo isset($data["limit"]) ? intval($data["limit"]) : 12 ?>'>
			<?php if(isset($include_map) && $include_map): $this->is_maps_page = true; ?>
				<input type='hidden' name='action' value='estatebud_get_listing_map'>
				<input type='hidden' name='security' value='<?php echo wp_create_nonce( 'estatebud_get_listing_map' );?>'>
				<input type="hidden" name="lat" value='<?php echo $data["lat"] ?? "34.88813655918222" ?>'>
                <input type="hidden" name="lng" value='<?php echo $data["lng"] ?? "33.16668923828126" ?>'>
                <input type="hidden" name="radius" value=''>
                <input type="hidden" name="radius_unit" value='km'>
                <input type="hidden" name="map_mode" value='1'>
				<input type="hidden" name="zoom_level" value='<?php echo $data["zoom_level"] ?? 9 ?>'>
				<input type="hidden" name="is_listing_map" value="1">
			<?php endif;?>
			<?php $shortcode = $data;
                $items = get_option("estatebud_widget_settings", false);
				if(!isset($shortcode["searchbox"]) || $shortcode["searchbox"] == -1 || !$items || !isset($items[$shortcode["searchbox"]])):
				ob_start();
			?>
			<div class="estatebud-row estatebud-filter-form-initial">
				<div class="estatebud-row">
					<div class="estatebud-column">
						<div class="estatebud-column-header"><?php estatebud_e("app.category");?></div>
						<div class="estatebud-column-field">
							<select name="category[]" multiple class="estatebud-column-input"></select>
						</div>
					</div>
					<div class="estatebud-column">
						<div class="estatebud-column-header"><?php estatebud_e("app.area");?></div>
						<div class="estatebud-column-field">
							<select name="area[]" multiple class="estatebud-column-input"></select>
						</div>
					</div>
					<div class="estatebud-column">
						<div class="estatebud-column-header"><?php estatebud_e("app.type");?></div>
						<div class="estatebud-column-field">
							<select name="type[]" multiple class="estatebud-column-input"></select>
						</div>
					</div>
					<div class="estatebud-column">
						<div class="estatebud-column-header"><?php estatebud_e("app.status");?></div>
						<div class="estatebud-column-field">
							<select name="status[]" multiple class="estatebud-column-input"></select>
						</div>
					</div>
				</div>
			</div>
			<div class="estatebud-filter-form-more">
				<div class="estatebud-row">
					<div class="estatebud-column">
						<div class="estatebud-column-header"><?php estatebud_e("app.bedroom", 2);?></div>
						<div class="estatebud-column-field">
							<select name="bedrooms_min" class="estatebud-column-input"></select>
						</div>
					</div>
					<div class="estatebud-column">
						<div class="estatebud-column-header"><?php estatebud_e("app.bathroom", 2);?></div>
						<div class="estatebud-column-field">
							<select name="bathrooms_min" class="estatebud-column-input"></select>
						</div>
					</div>
					<div class="estatebud-column">
						<div class="estatebud-column-header"><?php estatebud_e("app.reference");?></div>
						<div class="estatebud-column-field">
							<input type="text" name="property_id" class="estatebud-column-input" />
						</div>
					</div>
					<div class="estatebud-column">
						<div class="estatebud-column-header"><?php estatebud_e("app.budget");?></div>
						<div class="estatebud-column-field estatebud-column-field-flex">
							<input type="number" name="price_min" class="estatebud-column-input-half" />
							<input type="number" name="price_max" class="estatebud-column-input-half" />
						</div>
					</div>
				</div>
				<div class="estatebud-row estatebud-row-checkboxes">
					<div class="estatebud-column">
						<div class="estatebud-column-field">
							<input type="checkbox" name="title_deed"/>
						</div>
					</div>
					<div class="estatebud-column">
						<div class="estatebud-column-field">
							<input type="checkbox" name="sea_view" />
						</div>
					</div>
					<div class="estatebud-column">
						<div class="estatebud-column-field">
							<input type="checkbox" name="sea_front" />
						</div>
					</div>
					<div class="estatebud-column">
						<div class="estatebud-column-field">
							<input type="checkbox" name="swimming_pool" />
						</div>
					</div>
					<div class="estatebud-column">
						<div class="estatebud-column-field">
							<input type="checkbox" name="walking_distance_to_beach" />
						</div>
					</div>
				</div>
			</div>
			<?php
				$output = ob_get_clean();
				ob_end_flush();
				do_action_ref_array( "estatebud_render_searchbox_contents", [$output, $data, true]);
			else :
				do_action_ref_array( "estatebud_render_searchbox", [$shortcode["searchbox"], $data, true]);
			endif;?>
		</form>
	</div>
</div>