<?php
    $hide_map = true;
    $estatebud_gmaps_api_key = trim(get_option("estatebud_gmaps_api_key",""));
    if($estatebud_gmaps_api_key != "") $hide_map = false;
?>
<script type='text/javascript'>
    var estatebud = estatebud || {};
    estatebud.shortcode = {
        current: JSON.parse('<?php echo json_encode($data, JSON_HEX_APOS); ?>')
    };
    estatebud.groupMarkers = <?php echo $group == true ? "true" : "false"; ?>;
    estatebud.sidebarPosition = '<?php echo $position; ?>';
</script>
<div id="estatebud-map-container">
    <div class="estatebud-row estatebud-sidebar-<?php echo $position;?>">
        <div class="estatebud-map">
            <div class='estatebud-google-map-container'>
                <?php if ($hide_map == false) : ?>
                    <div class='estatebud-map-autocomplete'>
                        <?php require_once dirname(__FILE__) . "/estatebud-public-map-autocomplete.php"; ?>
                    </div>
                    <div id="estatebud-google-map"></div>
                    <div id="estatebud-infowindow"></div>
                <?php endif;?>
                <div class='estatebud-shortcode-filters'>
                    <?php require_once dirname(__FILE__) . "/estatebud-public-map-filter.php"; ?>
                </div>
            </div>
        </div>
        <div class="estatebud-sidebar">
            <?php if($position !== "none") : ?>

            <div class="estatebud-sidebar-content <?php echo $sidebar == "list" ? "estatebud-sidebar-list":"";?>">
                <?php require_once dirname(__FILE__) . "/estatebud-public-map-sidebar.php"; ?>
            </div>
            <?php endif;?>
        </div>
    </div>
</div>