<?php
$domQuery = new DOMXPath($document);
$select = $domQuery->query("//select[@name='bedrooms_min']");
if ($select->length > 0) {
    $select = $select->item(0);
    if ($select->hasChildNodes() == false) {
        // create default value
        $option = $document->createElement("option", estatebud__("app.any"));
        $option->setAttribute("value", false);
        $option->setAttribute("selected", true);
        $select->appendChild($option);

        for ($i = 0; $i < 21; $i++) {
			if($i == 0) {
				$option = $document->createElement("option", estatebud__("app.property.studio"));
			} else {
				$option = $document->createElement("option", $i == 20 ? "$i+" : "$i");
			}

            $option->setAttribute("value", $i);

            if (isset($request["bedrooms_min"]) && strlen($request["bedrooms_min"]) && $i == $request["bedrooms_min"]) {
                $option->setAttribute("selected", true);
            }
            $select->appendChild($option);
        }
    }else {
        if (isset($request["bedrooms_min"])) {
            for ($i = 0, $len = $select->childNodes->length; $i < $len; $i++) {
                $child = $select->childNodes->item($i);
                if ($child->nodeType == XML_ELEMENT_NODE && $child->getAttribute("value") == $request["bedrooms_min"]) {
                    $child->setAttribute("selected", true);
                }
            }
        }
    }
}