<?php
$domQuery = new DOMXPath($document);
$select = $domQuery->query("//select[@name='budget_max']");
if ($select->length > 0) {
    $select = $select->item(0);
    if ($select->hasChildNodes() == false) {
        // create default value
        $option = $document->createElement("option", estatebud__("app.any"));
        $option->setAttribute("value", "0");
        $option->setAttribute("selected", true);
        $select->appendChild($option);
        for ($i = 1; $i < 21; $i++) {
            $v = number_format_i18n( $i * 100000, 0) ;
            $option = $document->createElement("option", $i == 20 ? "$v+" : "$v");
            $option->setAttribute("value", $i * 100000);
            if (isset($request["budget_max"]) && $i * 100000 == $request["budget_max"]) {
                $option->setAttribute("selected", true);
            }
            if (isset($request["price_max"]) && $i * 100000 == $request["price_max"]) {
                $option->setAttribute("selected", true);
            }
            $select->appendChild($option);
        }
    }else {
        if (isset($request["budget_max"]) || isset($request["price_max"])) {
            for ($i = 0, $len = $select->childNodes->length; $i < $len; $i++) {
                $child = $select->childNodes->item($i);
                if ($child->nodeType == XML_ELEMENT_NODE && isset($request["budget_max"]) && $child->getAttribute("value") == $request["budget_max"]) {
                    $child->setAttribute("selected", true);
                } else if ($child->nodeType == XML_ELEMENT_NODE && isset($request["price_max"]) && $child->getAttribute("value") == $request["price_max"]) {
                    $child->setAttribute("selected", true);
                }
            }
        }
    }
}
