<?php
$domQuery = new DOMXPath($document);
$select = $domQuery->query("//select[@name='furnished[]']");
if ($select->length > 0) {

    $values = isset($request["furnished"]) ? $request["furnished"] : [];

    $select = $select->item(0);
    if ($select->hasChildNodes() == false) {
        // create default value
        $values = isset($request["furnished"]) ? $request["furnished"] : [];
        $type_list = array("fullyfurnished" => estatebud__("app.fully.furnished"), "partiallyfurnished" => estatebud__("app.part.furnished"), "unfurnished" => estatebud__("app.unfurnished"));

        foreach ($type_list as $key => $type) {
            $option = $document->createElement("option", $type);
            $option->setAttribute("value", esc_attr($key));
            if (in_array($key, $values)) {
                $option->setAttribute("selected", true);
            }
            $select->appendChild($option);
        }
    } else {
        if (count($values) > 0) {
            for ($i = 0, $len = $select->childNodes->length; $i < $len; $i++) {
                $child = $select->childNodes->item($i);
                if (in_array($child->getAttribute("value"), $values)) {
                    $child->setAttribute("selected", true);
                }
            }
        }
    }
}
