<?php
$key = "sea_view";
$text = estatebud__("app.sea.view");
$domQuery = new DOMXPath($document);
$checkbox = $domQuery->query("//input[@type='checkbox'][@name='".$key."']");
if ($checkbox->length > 0) {
	$checkbox = $checkbox->item(0);
	$checkbox->setAttribute("id", "estatebud_$key");

	$classes = $checkbox->getAttribute("class");
	if(!$classes){
		$checkbox->setAttribute("class", "estatebud_checkbox");
	}else{
		$classes = array_filter(explode(" ", $classes), function($d){ return $d != "estatebud_checkbox"; });
		$classes[] = "estatebud_checkbox";
		$checkbox->setAttribute("class", implode(" ", $classes));
	}
	if(isset($request[$key]) && $request[$key]){
		$checkbox->setAttribute('checked', 'checked');
	}
	if( $checkbox->parentNode->hasAttribute("class") == false || $checkbox->parentNode->getAttribute("class") != "estatebud_checkbox_holder")
	{
		$new = new DomDocument();
		$new->loadHTML(mb_convert_encoding('<div><div class="estatebud_checkbox_holder">'.
			$document->saveHTML($checkbox) .
			'<label class="estatebud_checkbox_label" for="estatebud_'.$key.'">
				<span><i class="fas fa-check"></i></span>
			</label>
			</div><label class="estatebud_checkbox_text" for="estatebud_'.$key.'">' . $text . '</label>
		</div>', 'HTML-ENTITIES', 'UTF-8'));
		$node = $document->importNode($new->documentElement->firstChild->firstChild, true);
		foreach($node->childNodes as $childNode){
			$checkbox->parentNode->insertBefore($childNode->cloneNode(true), $checkbox);
		}
		$checkbox->parentNode->removeChild($checkbox);
	}
}