<?php
$domQuery = new DOMXPath($document);
$select = $domQuery->query("//select[@name='type[]']");
if ($select->length > 0) {
    $select = $select->item(0);
    $values = isset($request["type"]) ? $request["type"] : [];

    if ($select->hasChildNodes() == false) {
        // create default value
        $types = $estatebud_api->get_property_types();
        $type_list = get_object_vars($types);

        foreach($type_list as $key => $type){
            $option = $document->createElement("option", $type);
            $option->setAttribute("value", esc_attr($key));
            if (in_array($key, $values)) {
                $option->setAttribute("selected", true);
            }
            $select->appendChild($option);
        }
    }else {
        if(count($values) > 0){
            for ($i = 0, $len = $select->childNodes->length; $i < $len; $i++) {
                $child = $select->childNodes->item($i);
                if (in_array($child->getAttribute("value"), $values)) {
                    $child->setAttribute("selected", true);
                }
            }
        }
    }
}